--- title: "View stage deployment history" slug: "apigateway-deployment-deploystage" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-deployment-deploystage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View stage deployment history Available in Classic and VPC View the history of API deployments to a specified stage. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/deployments | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID that the stage belongs to - 0 - 10 characters - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | ID of the API that the stage belongs to - 0 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `stage-id` | String | Required | ID of the stage to view deployment history for - 0 - 10 characters - See [View stage list](/docs/en/apigateway-stage-getstagelist) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `offset` | Long | Optional | Starting point of the response data - 0 - 9,223,372,036,854,775,807 - It is used with `limit` to implement pagination | | `limit` | Long | Optional | Maximum number of response data - 1 - 9,223,372,036,854,775,807 - It is used with `offset` to implement pagination | ### Request example The following is a sample request. ``` curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/***5ei7***/deployments' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "total" : 1, "content" : [ { "deployedTime" : "2000-01-23T04:56:07.000+00:00", "deploymentDescription" : "deploymentDescription", "stageDeploymentNo" : 0, "documentJson" : "documentJson", "stageId" : "stageId" } ], "defaultDeploymentNo" : 6 } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "content": [ { "stageDeploymentNo": 251***, "deploymentDescription": "", "stageId": "***5ei7***", "deployedTime": "2024-05-08T02:38:43Z" }, // (Omitted) ], "total": 9, "defaultDeploymentNo": 251*** } ```